UndoStackTrigger (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.event
Interface UndoStackTrigger

All Known Implementing Classes:
  UndoMenuItemStackTrigger

    public interface UndoStackTrigger

Provides Stack input by firing UndoCmd and RedoCmd commands, which cause updates to whatever component described by the UndoEvent.

Method Summary
`void` | `addActionListener(java.awt.event.ActionListener al)` Add an ActionListener for events that trigger events to shift the undo/redo stack.
`void` | `removeActionListener(java.awt.event.ActionListener al)` Remove an ActionListener that receives events that trigger events to shift the undo/redo stack.
`void` | `updateUndoStackStatus(UndoEvent undoEvent, UndoEvent redoEvent)` To receive a status to let the trigger know if any projections in the forward or backward stacks exist, possibly to disable any gui widgets.

Method Detail

### addActionListener

    void addActionListener(java.awt.event.ActionListener al)

  Add an ActionListener for events that trigger events to shift the undo/redo stack.

### removeActionListener

    void removeActionListener(java.awt.event.ActionListener al)

  Remove an ActionListener that receives events that trigger events to shift the undo/redo stack.

### updateUndoStackStatus

    void updateUndoStackStatus(UndoEvent undoEvent,
                               UndoEvent redoEvent)

  To receive a status to let the trigger know if any projections in the forward or backward stacks exist, possibly to disable any gui widgets.

  Parameters:
    `undoEvent` - there is at least one event to undo.
    `redoEvent` - there is at least one event to redo.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details